<?php
if ( preg_match( '#' . basename( __FILE__ ) . '#', $_SERVER['PHP_SELF'] ) ) {
	die( 'You are not allowed to call this page directly.' );
}
/**
 * options-panel.php - View for the options panel.
 *
 * @package Sidebar Categories
 * @subpackage includes
 * @author GrandSlambert
 * @copyright 2011-2013
 * @access public
 * @since 0.1
 */
?>

<div class="wrap">
     <div class="icon32" id="icon-edit-pages"><br/>
     </div>
     <h2><?php print $this->pluginName; ?> &raquo; <?php _e( 'Settings', 'pretty-sidebar-categories' ); ?></h2>
     <form method="post" action="options.php">
		<?php settings_fields( $this->optionsName ); ?>
          <div  style="width:49%; float:left">
               <div class="postbox">
                    <h3 class="handl" style="margin:0;padding:3px;cursor:default;">
					<?php _e( 'Configuration', 'pretty-sidebar-categories' ); ?>
                    </h3>
                    <div class="table">
                         <table class="form-table">
                              <tr align="top">
                                   <th valign="top" scope="row"><label for="default_sylte"><?php _e( 'Default template', 'pretty-sidebar-categories' ); ?></label></th>
                                   <td valign="top">
                                        <select name="<?php print $this->optionsName; ?>[default-style]" id="default_style">
                                             <option value="list" <?php selected( $this->options['default-style'], 'list' ); ?> ><?php _e( 'List Format', 'pretty-sidebar-categories' ); ?></option>
									<?php foreach ( $this->get_widget_templates() as $file => $name ) : ?>
										<option value="<?php echo $file; ?>" <?php selected( $instance['style'], $file ); ?> ><?php echo $name; ?></option>
									<?php endforeach; ?>
								</select>
							</td>
						</tr>
						<tr align="top">
							<th valign="top" scope="row"><label for="small_image"><?php _e( 'Small image size', 'pretty-sidebar-categories' ); ?></label></th>
							<td>
								<input type="text" name="<?php print $this->optionsName; ?>[small-image][0]" id="small_image" value="<?php echo $this->options['small-image'][0]; ?>" /> X
								<input type="text" name="<?php print $this->optionsName; ?>[small-image][1]" id="small_image" value="<?php echo $this->options['small-image'][1]; ?>" /> px
							</td>
						</tr>
						<tr align="top">
							<th valign="top" scope="row"><label for="full_image"><?php _e( 'Full image size', 'pretty-sidebar-categories' ); ?></label></th>
							<td>
								<input type="text" name="<?php print $this->optionsName; ?>[full-image][0]" id="full_image" value="<?php echo $this->options['full-image'][0]; ?>" /> X
								<input type="text" name="<?php print $this->optionsName; ?>[full-image][1]" id="full_image" value="<?php echo $this->options['full-image'][1]; ?>" /> px
							</td>
						</tr>
						<tr align="top">
							<th valign="top" scope="row"><label for="hard_crop"><?php _e( 'Crop method', 'pretty-sidebar-categories' ); ?></label></th>
							<td>
								<label><input type="radio" name="<?php print $this->optionsName; ?>[hard-crop]" id="hard_crop_yes" value="1" <?php checked( $this->options['hard-crop'], 1 ); ?> /> <?php _e( 'Hard - Maintain aspect', 'pretty-sidebar-categories' ); ?> </label>
								<label><input type="radio" name="<?php print $this->optionsName; ?>[hard-crop]" id="hard_crop_no" value="0" <?php checked( $this->options['hard-crop'], 0 ); ?> /> <?php _e( 'Soft - Proportional resize', 'pretty-sidebar-categories' ); ?> </label>
							</td>
						</tr>
						<tr align="top">
							<th scope="row"><label for="<?php echo $this->optionsName; ?>_post_types"><?php _e( 'Search for posts in', 'pretty-sidebar-categories' ); ?></label></th>
							<td>
								<?php
								if ( function_exists( 'get_post_types' ) ) {
									$types = get_post_types( array( 'public' => true ) );
								} else {
									$types = array( 'post', 'page' );
								}
								?>

								<?php foreach ( $types as $type ) : ?>
									<label class="pretty-sidebar-categories-post-type"><input type="checkbox" name="<?php echo $this->optionsName; ?>[post_types][]" value="<?php echo $type; ?>" <?php checked( in_array( $type, $this->options['post_types'] ), 1 ); ?> /> <?php echo ucfirst( $type ); ?></label>
								<?php endforeach; ?>

							</td>
						</tr>
					</table>
					<input type="hidden" name="action" value="update" />
					<?php if ( function_exists( 'wpmu_create_blog' ) ) : ?>
						<input type="hidden" name="option_page" value="<?php print $this->optionsName; ?>" />
					<?php else : ?>
						<input type="hidden" name="page_options" value="<?php print $this->optionsName; ?>" />
					<?php endif; ?>
					<p class="submit" align="center">
						<input type="submit" name="Submit" value="<?php _e( 'Save Settings', 'pretty-sidebar-categories' ); ?>" />
					</p>
				</div>
			</div>
		</div>
	</form>
	<div  style="width:49%; float:right">
		<div class="postbox">
			<h3 class="handl" style="margin:0; padding:3px;cursor:default;"><?php _e( 'About', 'pretty-sidebar-categories' ); ?></h3>
			<div style="padding:5px;">
				<p><?php printf( __( 'This plugin adds a widget to display entries for any term in any registered taxonomy using custom templates. Several templates are included, and yout can add more by creating templates in a folder named %1$s in your theme folder.', 'pretty-sidebar-categories' ), 'pretty-sidebar-categories' ); ?></p>
				<p><span><?php _e( 'You are using', 'pretty-sidebar-categories' ); ?> <strong> <a href="http://grandslambert.tk/plugins/pretty-sidebar-categories.html" target="_blank"><?php print $this->pluginName; ?> <?php print $this->version; ?></a></strong> by <a href="http://grandslambert.com" target="_blank">GrandSlambert</a>.</span> </p>
			</div>
		</div>
		<div class="postbox">
			<h3 class="handl" style="margin:0; padding:3px;cursor:default;"><?php _e( 'Image Size Information', 'pretty-sidebar-categories' ); ?></h3>
			<div style="padding:5px;">
				<p>
					<strong><?php _e( 'Warning', 'pretty-sidebar-categories' ); ?>: </strong>
					<?php
					printf( __( 'If you change the sizes of the images on this page, your existing images will not automatically be resized. I suggest using the %1$s plugin by %2$s which will recreate all the image sizes. This only needs to be done if you change these image sizes.', 'pretty-sidebar-categories' ), '<a href="http://wordpress.org/extend/plugins/regenerate-thumbnails/" target="_blank">' . __( 'Regenerate Thumbnails', 'pretty-sidebar-categories' ) . '</a>', '<a href="http://profiles.wordpress.org/users/Viper007Bond/" target="_blank">Viper007Bond</a>'
					);
					?>
				</p>
			</div>
		</div>
		<div class="postbox">
			<h3 class="handl" style="margin:0; padding:3px;cursor:default;"><?php _e( 'Recent Contributors', 'pretty-sidebar-categories' ); ?></h3>
			<div style="padding:5px;">
				<p><?php _e( 'GrandSlambert would like to thank these wonderful contributors to this plugin!', 'pretty-sidebar-categories' ); ?></p>
				<?php $this->contributor_list(); ?>
			</div>
		</div>
	</div>
	<div style="clear:both; margin-top:10px;"></div>
	<div class="postbox" style="width:49%; height: 175px; float:left;">
		<h3 class="handl" style="margin:0; padding:3px"><?php _e( 'Credits and Support', 'pretty-sidebar-categories' ); ?></h3>
		<div style="padding:8px;">
			<p><?php
				printf( __( 'Thank you for trying the %1$s plugin - I hope you find it useful. For the latest updates on this plugin, visit the %2$s. If you have any questions or problems with this plugin, please use our %3$s or read the %4$s. As always, any comments or suggestions for improvements are welcome!', 'pretty-sidebar-categories' ), $this->pluginName, '<a href="http://grandslambert.tk/plugins/pretty-sidebar-categories.html" target="_blank">' . __( 'official site', 'pretty-sidebar-categories' ) . '</a>', '<a href="http://grandslambert.tk/support/forum/pretty-sidebar-categories" target="_blank">' . __( 'Support Forum', 'pretty-sidebar-categories' ) . '</a>', '<a href="http://grandslambert.tk/documentation/pretty-sidebar-categories.html" target="_blank">' . __( 'Documentation Page', 'pretty-sidebar-categories' ) . '</a>'
				);
				?>
			</p>
			<p>
				<?php
				printf( __( 'This plugin is &copy;2009-%1$d by %2$s and is released under the %3$s.' ), date( 'Y' ), '<a href="http://grandslambert.com" target="_blank">GrandSlambert, Inc.</a>', '<a href="http://www.gnu.org/licenses/gpl.html" target="_blank">' . __( 'GNU General Public License', 'pretty-sidebar-categories' ) . '</a>'
				);
				?>
			</p>
		</div>
	</div>
	<div class="postbox" style="width:49%; height: 175px; float:right;">
		<h3 class="handl" style="margin:0; padding:3px"><?php _e( 'Donate', 'pretty-sidebar-categories' ); ?></h3>
		<div style="padding:8px">
			<p><?php
				printf( __( 'If you find this plugin useful, please consider supporting our work and the development of  other great %1$s. %2$s a few bucks and see what else we can come up with!', 'pretty-sidebar-categories' ), '<a href="http://grandslambert.tk/" target="_blank">' . __( 'plugins', 'pretty-sidebar-categories' ) . '</a>', '<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=74NNAQF4C2ESA" target="_blank">' . __( 'Donate', 'pretty-sidebar-categories' ) . '</a>'
				);
				?></p>
               <p style="text-align: center;"><a target="_blank" href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=74NNAQF4C2ESA"><img width="92" height="26" alt="paypal_btn_donateCC_LG" src="http://cdn.grandslambert.com/assets/btn_donate_LG.gif" title="paypal_btn_donateCC_LG" class="aligncenter size-full wp-image-174"/></a></p>
          </div>
     </div>
</div>
